%global pypiname validators

Name:           python-%{pypiname}
Version:        0.12.0
Release:        2%{?dist}
Summary:        Data Validation in python for Humans

License:        BSD
URL:            https://github.com/kvesteri/validators
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-decorator
BuildRequires:  python2-devel
BuildRequires:  python2-pytest
BuildRequires:  python2-six
BuildRequires:  python3-decorator
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-six

%description
Python has all kinds of data validation tools, but every one of them seems to
require defining a schema or form. I wanted to create a simple validation
library where validating a simple value does not require defining a form or
a schema.

%package -n python2-%{pypiname}

Summary:        Data Validation in python for Humans

Requires:       python2-six
Requires:       python2-decorator

%{?python_provide:%python_provide python2-%{pypiname}}

%description -n python2-%{pypiname}
Python has all kinds of data validation tools, but every one of them seems to
require defining a schema or form. I wanted to create a simple validation
library where validating a simple value does not require defining a form or
a schema.

%package -n python3-%{pypiname}

Summary:        Data Validation in python for Humans

Requires:       python3-six
Requires:       python3-decorator

%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
Python has all kinds of data validation tools, but every one of them seems to
require defining a schema or form. I wanted to create a simple validation
library where validating a simple value does not require defining a form or
a schema.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
/usr/bin/pytest-2
/usr/bin/pytest-3

%files -n python2-%{pypiname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python2_sitelib}/*

%files -n python3-%{pypiname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pypiname}*

%changelog
* Sat Jan 06 2018 williamjmorenor@gmail.com - 0.12.0-2
- Initial import

* Mon Dec 25 2017 williamjmorenor@gmail.com - 0.12.0-1
- Initial packaging
  Skip docs build with sphinx because a lot of extensions
